Bug 1215380 - Qt5 qscintilla2.prf is installed in bad location
Summary: Qt5 qscintilla2.prf is installed in bad location
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qscintilla
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-26 07:04 UTC by Miro Hrončok
Modified: 2015-11-04 16:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 16:08:14 UTC
Type: Bug


Attachments (Terms of Use)
Patch for master (1.46 KB, patch)
2015-04-26 07:39 UTC, Miro Hrončok
no flags Details | Diff

Description Miro Hrončok 2015-04-26 07:04:05 UTC
Description of problem:

It is currently not possible to use load(qscintilla2) from Qt5 .pro files.

Version-Release number of selected component (if applicable):
qscintilla-qt5-devel 2.8.4-2.fc21

How reproducible: Always.

Steps to Reproduce:

0. Install qscintilla-qt5-devel
1. Get the minimal .pro file using load(qscintilla2):

    load(qscintilla2) {
      message("Success!")
    } else {
      message("Failed!")
    }

2. run qmake-qt5 in the directory with the .pro file
3. observe results

Actual results:

    $ qmake-qt5
    <ABSOLITE_PATH_TO_PRO>:1: Cannot find feature qscintilla2
    Project MESSAGE: Failed!


Expected results:

    $ qmake-qt5
    Project MESSAGE: Success!

Additional info:
The following fixes the issue:

    cd /usr/lib64/qt5/mkspecs/features
    ln -s /usr/share/qt5/mkspecs/features/qscintilla2.prf

There is no other .prf file in /usr/share/qt5/mkspecs/features/, so I guess on the package level, the file should be installed to /usr/lib64/qt5/mkspecs/features/ instead (change %{_datadir} to %{_libdir}).

This might also affects other version of Fedora as well.

Comment 1 Miro Hrončok 2015-04-26 07:39:58 UTC
Created attachment 1018941 [details]
Patch for master

Here is my patch for Fedora master branch. Scratch build works: http://koji.fedoraproject.org/koji/taskinfo?taskID=9571379

Comment 2 Rex Dieter 2015-04-26 18:00:42 UTC
Confirmed upstream qscintilla bug, will prepare an upstreamable patch shortly.

Comment 3 Fedora Update System 2015-04-27 02:42:46 UTC
qscintilla-2.8.4-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qscintilla-2.8.4-3.fc22

Comment 4 Fedora Update System 2015-04-27 02:43:24 UTC
qscintilla-2.8.4-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qscintilla-2.8.4-3.fc21

Comment 5 lnie 2015-04-27 04:32:02 UTC
qscintilla-2.8.4-3.fc22 works

Comment 6 Fedora Update System 2015-04-28 13:17:18 UTC
Package qscintilla-2.8.4-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qscintilla-2.8.4-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7082/qscintilla-2.8.4-3.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-05-02 18:11:09 UTC
qscintilla-2.8.4-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora End Of Life 2015-11-04 16:02:33 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.